#include <fggl/data/model.hpp>

using namespace fggl::data;

Mesh::Mesh() : m_verts(), m_index() {
}

void Mesh::pushIndex(unsigned int idx) {
	assert( idx < m_verts.size() );
	m_index.push_back(idx);
}

unsigned int Mesh::pushVertex(Vertex vert) {
	unsigned int idx = m_verts.size();
	m_verts.push_back( vert );
	return idx;
}

int Mesh::indexOf(Vertex vert) {
	int i = 0;
	for ( auto& vert_v : m_verts ) {
		if ( vert.posititon == vert_v.posititon ) {
			return i;
		}
		++i;
	}
	return -1;
}
